## Language Utilities

Language Utilities

## Functions

char ** | mate_get_all_locales ()
char * | mate_get_country_from_code ()
char * | mate_get_country_from_locale ()
char * | mate_get_language_from_code ()
char * | mate_get_language_from_locale ()
char * | mate_normalize_locale ()
gboolean | mate_parse_locale ()
gboolean | mate_language_has_translations ()

## Includes

    #include <mate-thumbnail.h>

## Description

## Functions

### mate_get_all_locales ()

    char **
    mate_get_all_locales (void);

Gets all locales.

#### Returns

a newly allocated `NULL`-terminated string array containing the all locales. Free with `g_strfreev()`.

[array zero-terminated=1][element-type utf8][transfer full]

Since: 1.22

### mate_get_country_from_code ()

    char *
    mate_get_country_from_code (const char *code,
                                const char *translation);

Gets the country name for `code` . If `locale` is provided the returned string is translated accordingly.

#### Parameters

code | an ISO 3166 code string |
translation | a locale string. | [allow-none]

#### Returns

the country name. Caller takes ownership.

[transfer full]

Since: 1.22

### mate_get_country_from_locale ()

    char *
    mate_get_country_from_locale (const char *locale,
                                  const char *translation);

Gets the country description for `locale` . If `translation` is provided the returned string is translated accordingly.

#### Parameters

locale | a locale string |
translation | a locale string. | [allow-none]

#### Returns

the country description. Caller takes ownership.

[transfer full]

Since: 1.22

### mate_get_language_from_code ()

    char *
    mate_get_language_from_code (const char *code,
                                 const char *translation);

Gets the language name for `code` . If `locale` is provided the returned string is translated accordingly.

#### Parameters

code | an ISO 639 code string |
translation | a locale string. | [allow-none]

#### Returns

the language name. Caller takes ownership.

[transfer full]

Since: 1.22

### mate_get_language_from_locale ()

    char *
    mate_get_language_from_locale (const char *locale,
                                   const char *translation);

Gets the language description for `locale` . If `translation` is provided the returned string is translated accordingly.

#### Parameters

locale | a locale string |
translation | a locale string. | [allow-none]

#### Returns

the language description. Caller takes ownership.

[transfer full]

Since: 1.22

### mate_normalize_locale ()

    char *
    mate_normalize_locale (const char *locale);

Gets the normalized locale string in the form [language_country[`modifier` ]] for `name` .

#### Parameters

locale | a locale string |

#### Returns

normalized locale string. Caller takes ownership.

[transfer full]

Since: 1.22

### mate_parse_locale ()

    gboolean
    mate_parse_locale (const char *locale,
                       char **language_codep,
                       char **country_codep,
                       char **codesetp,
                       char **modifierp);

Extracts the various components of a locale string of the form [language_country[`modifier` ]]. See http://en.wikipedia.org/wiki/Locale.

#### Parameters

locale | a locale string |
language_codep | location to store the language code, or `NULL`. | [out][allow-none][transfer full]
country_codep | location to store the country code, or `NULL`. | [out][allow-none][transfer full]
codesetp | location to store the codeset, or `NULL`. | [out][allow-none][transfer full]
modifierp | location to store the modifier, or `NULL`. | [out][allow-none][transfer full]

#### Returns

`TRUE` if parsing was successful.

Since: 1.22

### mate_language_has_translations ()

    gboolean
    mate_language_has_translations (const char *code);

Returns `TRUE` if there are translations for language `code` .

#### Parameters

code | an ISO 639 code string |

#### Returns

`TRUE` if there are translations for language `code` .

Since: 1.22